<template>
  <section class="top">
    <h3>{{title}}</h3>
    <h4 class="subtitle">{{comment}}</h4>
    <Item v-for="object in top" :key="object.key" :object="object" />
  </section>
</template>

<script>
import Item from "./Item";
export default {
  name: "Top",
  components: {
    Item
  },
  props: {
    title: String,
    top: Array,
    comment: String
  }
};
</script>

<style lang="scss" scoped>
.top {
  margin: 10px;
  background: darkslategray;
  color: #f3f3f3;
  padding: 15px;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  height: 500px;

  .subtitle {
    font-style: italic;
    font-size: 80%;
  }
}
</style>